## python-sounddevice 0.5.2

=== doc/requirements.txt ===
insipid-sphinx-theme
sphinx-last-updated-by-git

=== debian/changelog ===
python-sounddevice (0.5.2-1) unstable; urgency=medium

  * Initial release. (Closes: #895055)

 -- Alexander Sulfrian <alexander@sulfrian.net>  Thu, 11 Sep 2025 16:52:14 +0200

## python-sounddevice 0.5.3

=== debian/changelog ===
python-sounddevice (0.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Alexander Sulfrian <alexander@sulfrian.net>  Mon, 20 Oct 2025 19:47:39 +0200

=== debian/control ===
Source: python-sounddevice
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexander Sulfrian <alexander@sulfrian.net>
Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-cffi,
  python3-setuptools,
Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  python-numpy-doc,
  python3-doc,
  python3-sphinx,
  python3-sphinx-rtd-theme,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sounddevice
Vcs-Git: https://salsa.debian.org/python-team/packages/python-sounddevice.git
Homepage: https://github.com/spatialaudio/python-sounddevice

Package: python3-sounddevice
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, libportaudio2
Recommends: python3-numpy
Description: Play and Record Sound with Python - Python 3.x
 This Python module provides bindings for the PortAudio library and a few
 convenience functions to play and record NumPy arrays containing audio
 signals.
 .
 This package contains the Python 3 module.

Package: python-sounddevice-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Suggests: python-numpy-doc, python3-doc
Description: Play and Record Sound with Python - documentation
 This Python module provides bindings for the PortAudio library and a few
 convenience functions to play and record NumPy arrays containing audio
 signals.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=sounddevice
export SOUNDDEVICE_VERSION_RELEASE ?= "$(firstword $(subst +, ,$(DEB_VERSION_UPSTREAM))) (Debian $(DEB_VERSION))"
export SOUNDDEVICE_VERSION_TODAY ?= "$(shell date -u -d @$(SOURCE_DATE_EPOCH) +%Y-%m-%d)"

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
	http_proxy='http://127.0.0.1:9/' PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(shell py3versions -vd)_sounddevice/build python3 -P -m sphinx -N -bhtml doc/ debian/python-sounddevice-doc/usr/share/doc/python-sounddevice-doc/html/
	-rmdir debian/python-sounddevice-doc/usr/share/doc/python-sounddevice-doc/html/_sources/
	dh_sphinxdoc

=== debian/watch ===
version=4
https://github.com/spatialaudio/python-sounddevice/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
